﻿@model IEnumerable<Appointments.Prescription>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Directions)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Quantity)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Appointment.Description)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Doctor.FirstName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Medication.MedicationName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Patient.FirstName)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Directions)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Quantity)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Appointment.Description)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Doctor.FirstName)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Medication.MedicationName)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Patient.FirstName)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.ID }) |
            @Html.ActionLink("Details", "Details", new { id=item.ID }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.ID })
        </td>
    </tr>
}

</table>
